<?php

namespace Drupal\janrain_capture\Exception;

/**
 * The error to throw when an API call to Janrain ended unexpectedly.
 */
class JanrainApiCallError extends \RuntimeException {

  /**
   * The response from Janrain.
   *
   * @var \stdClass
   */
  protected $response;
  /**
   * Asserts that the link to the specified parent comment is present.
   *
   * @param int $code
   */
  /**
   * The code from Janrain.
   *
   * @var int
   */
  protected $code;

  /**
   * {@inheritdoc}
   */
  public function __construct($message, int $code, \stdClass $response) {
    parent::__construct($message);

    $this->response = $response;
    $this->code = $code;
  }

  /**
   * {@inheritdoc}
   */
  public function getResponse(): \stdClass {
    return $this->response;
  }

}
